<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

    <h:body>

        <ui:composition template="../WEB-INF/template/Template.xhtml">


            <ui:define name="content">


                <h:form>

                    <h:panelGrid>

                        <h:outputLabel for="id" value="Código" />
                        <h:inputText id="id" value="#{produtoBean.produto.id}" style="width: 40px;" />
                        <h:outputLabel for="marca" value="Marca" />
                        <h:inputText id="descricao" value="#{produtoBean.produto.marca}"
                                     required="true" requiredMessage="Campo descrição é obrigatorio!" />

                        <h:panelGroup>

                            <h:commandButton value="Salvar" action="#{produtoBean.salvar()}" />
                            <h:commandButton value="Cancelar" action="#{produtoBean.novo()}" />
                        </h:panelGroup>


                    </h:panelGrid>


                    <h:dataTable var="produto" value="#{produtoBean.lista}" >
                        <h:column>#{produto.id}</h:column>
                        <h:column></h:column>


                    </h:dataTable>








                </h:form>


            </ui:define>

        </ui:composition>      


    </h:body>
</html>

